#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>
#include <stdbool.h>
#include <util/delay.h> 
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <avr/power.h>
#include <avr/sleep.h>
#include "driver/serialconsole.h"
#include "driver/systemtimer.h"

void led_on()
{
    DDRB  |= (1<<PB4);
    PORTB |= (1<<PB4);
}

void led_off()
{
    PORTB &= ~(1<<PB4); 
}

int main(void) 
{
    initSerialConsole();
    initSystemTimer();
    
    while(1)
    {
        delay(500);
        led_on();
        puts_P(PSTR("Hello World"));

        delay(500);
        led_off();
        //printf("%d",milliseconds());

        // alternative without printf, needs less memory:
        char buffer[6];
        utoa(milliseconds(),buffer,10);
        puts(buffer);
    }
}

